summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2016-11-17 19:51:29 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2016-11-17 19:56:43 +0000
commitb4b19376b6fc6f5fa1438899ac261018c6d3f476 (patch)
tree70b6db273ea963e69b9e35b0a6dde2f75c4a08b7 /sci-astronomy
parentdev-python/photutils: version bump (diff)
downloadgentoo-b4b19376b6fc6f5fa1438899ac261018c6d3f476.tar.gz
gentoo-b4b19376b6fc6f5fa1438899ac261018c6d3f476.tar.bz2
gentoo-b4b19376b6fc6f5fa1438899ac261018c6d3f476.zip
sci-astronomy/healpix: version bump
Package-Manager: portage-2.3.2
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/healpix/Manifest1
-rw-r--r--sci-astronomy/healpix/healpix-3.31.ebuild141
2 files changed, 142 insertions, 0 deletions
diff --git a/sci-astronomy/healpix/Manifest b/sci-astronomy/healpix/Manifest
index a03e1502983..822f7cc630d 100644
--- a/sci-astronomy/healpix/Manifest
+++ b/sci-astronomy/healpix/Manifest
@@ -1 +1,2 @@
DIST Healpix_3.30_2015Oct08.tar.gz 23465221 SHA256 efcc8ff9775f393bd3e7e9d36202126e34e5c762ee568495a728329fa6650bfb SHA512 a7be82687a2188f5dff99c6826355e3290ccc91cc440e67267c58fa13af9fa5d301eca9b37676ef6f0af262b2ff1c06e722d0dcd3aca00a4c9d2794bc666c0c7 WHIRLPOOL 56584726daa1efd8809440cb7608c82a6b2ee6f1f35ddff701e98d3ddc3c77c0a3c339003c0b08e150747db5c6b0eb18da9ef153f89e1f33bc897e4135692152
+DIST Healpix_3.31_2016Aug26.tar.gz 23834899 SHA256 ddf437442b6d5ae7d75c9afaafc4ec43921f903c976e25db3c5ed5185a181542 SHA512 fd80e9ed80d19e438134f63c3d13802f63c4cd1b9f3596807e67d4ba5ff814e652a130d038449269d6ead271085eb0ab74884b2d768d8531066727377c457f9c WHIRLPOOL 3ae297b5fc0235162870af6ab8161ad87bd0f33a2e20c807da0d3faa2a7c2b0ac7b194e5c535ec74fa1d36d9571c1eff8d54606360b47d61253fdadd24261d0f
diff --git a/sci-astronomy/healpix/healpix-3.31.ebuild b/sci-astronomy/healpix/healpix-3.31.ebuild
new file mode 100644
index 00000000000..e5422fe64b5
--- /dev/null
+++ b/sci-astronomy/healpix/healpix-3.31.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools toolchain-funcs eutils java-pkg-opt-2 java-ant-2
+
+MYP="Healpix_${PV}"
+MYPF=${MYP}_2016Aug26
+
+DESCRIPTION="Hierarchical Equal Area isoLatitude Pixelization of a sphere"
+HOMEPAGE="http://healpix.sourceforge.net/"
+SRC_URI="mirror://sourceforge/healpix/${MYP}/${MYPF}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# might add fortran in the future if requested
+IUSE="cxx doc idl java openmp static-libs test"
+
+RDEPEND="
+ >=sci-libs/cfitsio-3
+ idl? (
+ dev-lang/gdl
+ sci-astronomy/idlastro )
+ java? ( >=virtual/jre-1.6:* )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ java? ( >=virtual/jdk-1.6:* test? ( dev-java/ant-junit4:0 ) )"
+
+S="${WORKDIR}/${MYP}"
+
+pkg_pretend() {
+ if use cxx && use openmp && [[ $(tc-getCXX)$ == *g++* ]] && [[ ${MERGE_TYPE} != binary ]]; then
+ tc-has-openmp || \
+ die "You are using gcc but without OpenMP capabilities that you requested"
+ fi
+}
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+ pushd src/C/autotools > /dev/null
+ eautoreconf
+ popd > /dev/null
+ # why was static-libtool-libs forced?
+ if use cxx; then
+ pushd src/cxx/autotools > /dev/null
+ sed -i -e '/-static-libtool-libs/d' Makefile.am || die
+ eautoreconf
+ popd > /dev/null
+ fi
+ # duplicate of idlastro (in rdeps)
+ rm -r src/idl/zzz_external/astron || die
+ mv src/idl/zzz_external/README src/idl/README.external || die
+ java-pkg-opt-2_src_prepare
+ default
+}
+
+src_configure() {
+ pushd src/C/autotools > /dev/null
+ econf $(use_enable static-libs static)
+ popd > /dev/null
+ if use cxx; then
+ pushd src/cxx/autotools > /dev/null
+ econf \
+ --disable-native-optimizations \
+ $(use_enable openmp) \
+ $(use_enable static-libs static)
+ popd > /dev/null
+ fi
+}
+
+src_compile() {
+ pushd src/C/autotools > /dev/null
+ emake
+ popd > /dev/null
+ if use cxx; then
+ pushd src/cxx/autotools > /dev/null
+ emake
+ popd > /dev/null
+ fi
+ if use java; then
+ pushd src/java > /dev/null
+ eant dist-notest
+ popd > /dev/null
+ fi
+}
+
+src_test() {
+ pushd src/C/autotools > /dev/null
+ emake check
+ popd > /dev/null
+ if use cxx; then
+ pushd src/cxx/autotools > /dev/null
+ emake check
+ popd > /dev/null
+ fi
+ if use java; then
+ pushd src/java > /dev/null
+ EANT_GENTOO_CLASSPATH="ant-junit4" ANT_TASKS="ant-junit4" eant test
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ dodoc READ_Copyrights_Licenses.txt
+ pushd src/C/autotools > /dev/null
+ emake install DESTDIR="${D}"
+ popd > /dev/null
+ if use cxx; then
+ pushd src/cxx/autotools > /dev/null
+ emake install DESTDIR="${D}"
+ docinto cxx
+ dodoc ../CHANGES
+ popd > /dev/null
+ fi
+ use static-libs || prune_libtool_files --all
+ if use idl; then
+ pushd src/idl > /dev/null
+ insinto /usr/share/gnudatalanguage/healpix
+ doins -r examples fits interfaces misc toolkit visu zzz_external
+ doins HEALPix_startup
+ docinto idl
+ dodoc README.*
+ popd > /dev/null
+ fi
+ if use java; then
+ pushd src/java > /dev/null
+ java-pkg_dojar dist/*.jar
+ docinto java
+ dodoc README CHANGES
+ popd > /dev/null
+ fi
+ use doc && dodoc -r doc/html
+}